Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deScene.hpp File Reference

scene-management routines More...

`#include "deGlobalTypes.hpp"`
`#include "deMath.hpp"`
`#include "deWorld.hpp"`
`#include "deRenderStates.hpp"`

Include dependency graph for deScene.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
class | IdeSceneActor
class | IdeSceneAnimatedMesh
class | IdeSceneLight
struct | Dome_t
struct | FaceNames_t
union | Box_t
struct | deCollideInfo
| information about a collision that occurred More...
struct | deCollideParams
| information about the object that will be colliding with things More...
class | IdeCollision
class | IdeSceneABT
class | IdeSceneGraph
struct | deSceneTraversal
class | IdeSceneObject
class | IdeSceneRoom
class | IdeSceneSky
class | IdeSceneStaticMesh
class | IdeSceneTerrain
struct | SkyInfo
struct | Sector_t
## Defines
#define | DESCENE_API extern "C" DEDLL_IMPORT
## Functions
DEDLL_IMPORT deBoolean | IdeScene_Initialize ()
DEDLL_IMPORT void | IdeScene_ShutDown ()
C DEDLL_IMPORT IdeSceneGraph * | IdeSceneGraph_GetSceneGraphPtr ()
| Get the IdeSceneGraph singleton pointer.
C DEDLL_IMPORT IdeCollision * | IdeCollision_CreateCollision ()
| Create an instance of IdeCollision.
C DEDLL_IMPORT long | IdeSceneRoom_GetWOInterfaceID ()
| Get the IdeSceneRoom WorldObject interface ID.
C DEDLL_IMPORT long | IdeSceneObject_GetWOInterfaceID ()
| Get the IdeSceneObject WorldObject interface ID.
C DEDLL_IMPORT IdeSceneABT * | IdeSceneObject_CreateSceneABT ()
| create an instance of IdeSceneABT
C DEDLL_IMPORT IdeSceneActor * | IdeSceneObject_CreateSceneActor ()
| create an instance of IdeSceneActor
DEDLL_IMPORT IdeSceneAnimatedMesh * | IdeSceneObject_CreateSceneAnimatedMesh ()
C DEDLL_IMPORT IdeSceneRoom * | IdeSceneRoom_CreateRoom ()
| create an instance of IdeSceneRoom
C DEDLL_IMPORT IdeSceneSky * | IdeSceneObject_CreateSceneSky ()
| create an instance of IdeSceneSky
C DEDLL_IMPORT IdeSceneStaticMesh * | IdeSceneObject_CreateSceneStaticMesh ()
| create an instance of IdeSceneStaticMesh
C DEDLL_IMPORT IdeSceneTerrain * | IdeSceneObject_CreateSceneTerrain ()
| create an instance of IdeSceneTerrain
C DEDLL_IMPORT IdeSceneLight * | IdeSceneObject_CreateSceneLight ()
| create an instance of IdeSceneLight
C DEDLL_IMPORT deBoolean | IdeScene_TestABT ()
| remove IdeScene_TestABT

## Detailed Description

scene-management routines

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Mar 2002

Author:
  Assassin

Remarks:
  Creation

Date:
  Mar 2003

Author:
  Masterg

Remarks:
  Terrain added

## Define Documentation

#define DESCENE_API extern "C" DEDLL_IMPORT

## Function Documentation

C DEDLL_IMPORT IdeCollision* IdeCollision_CreateCollision | ( |  | ) |

| Create an instance of IdeCollision.

DEDLL_IMPORT deBoolean IdeScene_Initialize | ( |  | ) |

DEDLL_IMPORT void IdeScene_ShutDown | ( |  | ) |

C DEDLL_IMPORT deBoolean IdeScene_TestABT | ( |  | ) |

| remove IdeScene_TestABT

C DEDLL_IMPORT IdeSceneGraph* IdeSceneGraph_GetSceneGraphPtr | ( |  | ) |

| Get the IdeSceneGraph singleton pointer.

C DEDLL_IMPORT IdeSceneABT* IdeSceneObject_CreateSceneABT | ( |  | ) |

| create an instance of IdeSceneABT

C DEDLL_IMPORT IdeSceneActor* IdeSceneObject_CreateSceneActor | ( |  | ) |

| create an instance of IdeSceneActor

DEDLL_IMPORT IdeSceneAnimatedMesh* IdeSceneObject_CreateSceneAnimatedMesh | ( |  | ) |

C DEDLL_IMPORT IdeSceneLight* IdeSceneObject_CreateSceneLight | ( |  | ) |

| create an instance of IdeSceneLight

C DEDLL_IMPORT IdeSceneSky* IdeSceneObject_CreateSceneSky | ( |  | ) |

| create an instance of IdeSceneSky

C DEDLL_IMPORT IdeSceneStaticMesh* IdeSceneObject_CreateSceneStaticMesh | ( |  | ) |

| create an instance of IdeSceneStaticMesh

C DEDLL_IMPORT IdeSceneTerrain* IdeSceneObject_CreateSceneTerrain | ( |  | ) |

| create an instance of IdeSceneTerrain

C DEDLL_IMPORT long IdeSceneObject_GetWOInterfaceID | ( |  | ) |

| Get the IdeSceneObject WorldObject interface ID.

C DEDLL_IMPORT IdeSceneRoom* IdeSceneRoom_CreateRoom | ( |  | ) |

| create an instance of IdeSceneRoom

C DEDLL_IMPORT long IdeSceneRoom_GetWOInterfaceID | ( |  | ) |

| Get the IdeSceneRoom WorldObject interface ID.